@echo off

ctime -begin timeBuild.ctm

set CommonCompilerFlags=/nologo /Zi /FC /WX /W4 /wd4201 /wd4100 /wd4189 /wd4244 /wd4127 /wd4456
@rem set Sources=../src/main.c
@rem set OutputName=program.exe
set Sources=../src/algorithms_main.c
set OutputName=algorithms_test.exe

IF NOT EXIST .\build mkdir .\build
pushd .\build
cl  %CommonCompilerFlags% %Sources% -Fe%OutputName%
set LastError=%ERRORLEVEL%
popd

ctime -end timeBuild.ctm %LastError%
IF NOT %LastError%==0 GOTO :end

:end
